﻿/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    /*overflow: auto;*/ /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
/* CSS for minimize button on Pup-up modal*/
.modal-span-1 {
    position: absolute;
    right: 0;
    top: -10px;
    bottom: 2px;
    margin-bottom: 2px;
    margin-right: 64px;
    
}
    
.modal-span-2 {
    position: absolute;
    right: 0;
    top: -10px;
    margin-right: 36px;
    margin-bottom: 2px;
    border-color: #60a5fa;
    
}
.modal-content {
    margin: auto;
    padding: 0px;
    width: 40%;
    background-color: #EFF6FF;
    height: 80%;
    border: solid 4px #1E3A8A;
    overflow: scroll;
    overflow-x: hidden;
    overflow-y: scroll;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
#internalModalContent{
    margin-top: 25px !important;
    overflow: auto;
}
#internalModalContent2 {
    margin-top: 25px !important;
    overflow: auto;
}
#modalContentHeader {
    position: absolute;
    width: 100%;
    
    margin-left: auto;
    margin-right: 5px;
    overflow: hidden;
    z-index: 1;
    height: 25px;
    background-color: #1E3A8A;
    display: flex;
    align-content: center;
}
#modalContentHeader2 {
    position: absolute;
    width: 100%;
    margin-left: auto;
    margin-right: 5px;
    overflow: hidden;
    z-index: 1;
    height: 25px;
    background-color: #1E3A8A;
    display: flex;
    align-content: center;
}
.modal-content-header {
    position: fixed;
    width: 100%;
    overflow: hidden;
    z-index: 1;
    height: 25px;
    background-color: #1E3A8A;
    display: flex;
    align-content: center;
   
}
.close {
    color: #BE123C;
    font-size: 60px !important;
    font-weight: bold;
}
 .close:hover,
 .close:focus {
        color: #CBD5E1;
        text-decoration: none;
        cursor: pointer;
    }
.expand {
    color: #556BAC;
    font-size: 60px !important;
}

    .expand:hover,
    .expand:focus {
        color: #CBD5E1;
        text-decoration: none;
        cursor: pointer;
    }
  
.minimize {
    color: #556BAC;
    font-size: 60px !important;
}

    .minimize:hover,
    .minimize:focus {
        color: #CBD5E1;
        text-decoration: none;
        cursor: pointer;
    }




             

.btn {
    display: inline-block;
    align-self: center;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    margin-left: 5px;
}

.btn-primary {
    color: #fff;
    background-color: #0d6efd;
    border-color: #0d6efd;
}

.x-animate-top {
    position: relative;
    animation: animatetop .4s;
}

.x-card-4, .w3-hover-shadow:hover {
    box-shadow: 0 4px 10px 0 rgba(0,0,0,0.2),0 4px 20px 0 rgba(0,0,0,0.19);
}



.x-display-topright {
    position: absolute;
    right: 3px;
    top: 0;
}

.x-xtraLarge {
    font-size: 24px !important;
}

hr {
    border: none;
    height: 3px;
    background: black;
}

#select {
    border: 2px solid #a1a1a1;
    padding: 10px 40px;
    background: #dddddd;
    width: 300px;
    border-radius: 75px;
}

@@webkit-keyframes animatetop {
    0% {
        top: -300px;
        opacity: 0;
    }

    100% {
        top: 0;
        opacity: 1;
    }
}

@@keyframes animatetop {
    0% {
        top: -300px;
        opacity: 0;
    }

    100% {
        top: 0;
        opacity: 1;
    }
}

.nav {
    background: -o-linear-gradient(bottom, #003366 5%, #003f7f 100%);
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #003366), color-stop(1, #003f7f) );
    background: -moz-linear-gradient( center top, #003366 5%, #003f7f 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#003366", endColorstr="#003f7f");
    background: -o-linear-gradient(top,#003366,003f7f);
    background-color: #003366;
}

#modalContent {
    resize: both;
    overflow: unset;
}

#modalContent2 {
    resize: both;
    overflow: auto;
}